//+-------------------------------------------------------------------
//
//  
//  Copyright (C) Silicon Software GmbH, 1999.
//
//  File:       mem_siso.h
//
//  Contents:
//
//
//
//--------------------------------------------------------------------

#ifndef __MEM_SISO1H
#define __MEM_SISO1H

#include "os_type_1.h"

typedef struct dma_mem_s {
	int lflag;	// USER_BUFFER, LOCKED_BUFFER
	unsigned long *lmem;
#ifdef LINUX
        unsigned long *luser_mem;
#endif
	unsigned long lsize;
	unsigned long lmax_sub_size;
	int lnr_of_subbuf;
	int lvirt_buffer_nr;
} dma_mem;


#define ME_USER_BUFFER 0x100
#define ME_LOCKED_BUFFER 0x200
#define ME_PHYSICAL_LINE_BUFFER 0x300


// ===================================================
// 
// Prototypes
//
// ===================================================


#endif


