//+-------------------------------------------------------------------
//
//  
//  Copyright (C) Silicon Software GmbH, 1999.
//
//  File:       os_type.h
//
//  Contents:   
//              
//
//
//--------------------------------------------------------------------

#ifndef __OSTYPE1
#define __OSTYPE1

#ifdef LINUX
#define MEUNIX
#endif

#ifdef QNX
#define MEUNIX
#endif

#ifndef MEUNIX
#define _WINNT
#endif

#ifdef __cplusplus
#endif

#ifdef _WINNT
typedef __int64 int64;
typedef unsigned __int64 uint64;
#endif

#ifdef MEUNIX

typedef long long lnt64;
typedef unsigned long long uint64;
typedef unsigned long OVERLAPPED;
typedef unsigned long ULONG;
typedef unsigned int UINT;
typedef void* PVOID;
typedef unsigned long DWORD;
typedef int HKEY;

#define HKEY_LOCAL_MACHINE 0
#define KEY_READ 0
typedef unsigned int HANDLE;

#define ERROR_SUCCESS 0
#define ERROR_IO_PENDING -10

int   RegOpenKeyEx(int hkl, char *,int tag,int key,int *hKeyFileType);

int   RegQueryValueEx(int hKeyFileType,char *hap_path,int tag,DWORD *dwType,unsigned char* szBuffer,DWORD *dwBytes);

void RegCloseKey(int hKeyFileType);

extern "C" long  GetTickCount();
int GetLastError();
int system(char *);
int CancelIo(int);
int Sleep(int);

#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <ctype.h>
#include <sys/ioctl.h>
#include <sys/mman.h>

#endif

#ifdef QNX
#include <sys/neutrino.h>
#include <fixerrno.h>

#endif

#endif


